import React from 'react'
import styled from 'styled-components'

import config from '../local/js/config'
import $ from 'jquery'

// Imports

// Assets

// Styling
const StyledDiv = styled.div`
    .botao-animado {
        overflow: hidden;
        word-spacing: normal;
        border-radius: 0.4vh;
        box-shadow: 0.1vh 0.1vh 0.2vh #a0a0a0;
        color: #FFF;
        background-color: ${config.PrimaryColor};
        position: relative;
        -webkit-transition: border-color 0.3s, background-color 0.3s;
        transition: border-color 0.3s, background-color 0.3s;
        -webkit-transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
        transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
        cursor: pointer;
        padding: 0.5vh;
    }
    .botao-animado > span {
        display: block;
        text-align: center;
        font-size: calc(1.3vh + 1vw);
        @media only all and (min-width: ${config.MobileBreakpoint}px ) {
            font-size: calc(0.9vh + 0.6vw);
        }
    }
    .botao-animado:hover > span {
        opacity: 0;
        -webkit-transform: translate3d(0, -25%, 0);
        transform: translate3d(0, -25%, 0);
        background-color: ${config.SecondaryColor};
    }
    .botao-animado::after {
        content: attr(data-text);
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        text-align: center !important;
        opacity: 0;
        color: #3f51b5;
        -webkit-transform: translate3d(0, 25%, 0);
        transform: translate3d(0, 25%, 0);
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .botao-animado::after,
    .botao-animado > span {
        padding: 10px 0 10px 3px;
        -webkit-transition: -webkit-transform 0.3s, opacity 0.3s;
        transition: transform 0.3s, opacity 0.3s;
        -webkit-transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
        transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
    }
    .botao-animado.inverted {
        color: #9598A6;
    }
    .botao-animado.inverted:hover {
        border-color: #21333C;
        background-color: ${config.SecondaryColor};
    }
    .botao-animado:hover::after {
        opacity: 1;
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
        color: #fff;
        font-size: calc(1.3vh + 1vw);
        @media only all and (min-width: ${config.MobileBreakpoint}px ) {
            font-size: calc(0.9vh + 0.6vw);
        }
        background-color: ${config.SecondaryColor};
    }
`

// Component
class BtnAnimado extends React.Component {
  // Constructor
  constructor (props) {
    super(props)
    this.state = {
      // Acess this.props
      content: this.props.content,
      dataText: this.props.dataText
    }
  }
  // Scripts

  // Called when rendered
  componentDidMount () {

  }

  render () {
    return (
    // Content
      <StyledDiv className='btnanimado_div'>
        <div class='botao-animado' data-text={this.state.dataText}><span>{this.state.content}</span></div>
      </StyledDiv>
    )
  }
}
export default BtnAnimado
