import React from 'react'
import styled from 'styled-components'

// Imports
import config from '../local/js/config'

import $ from 'jquery'

import '../core/css/icomoon.scss'

// Assets

// Styling
const CaixaAbasH = styled.div`
    
	border: 0.3vh solid ${config.PrimaryColor};
	border-radius: 1vh;
	padding: 2vh !important;
	position: relative;

	height: auto;
	background-color: white !important;
	margin-top: 4vh !important;
  
  .abas-num-div{
    position: absolute;
    width: 100%;
    height: 4vh;
    left: 0;
    top: calc(0px - (3vh + 1vw));
    
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      top: calc(0px - (2vh + 1vw));
    }
  }

	.num-h{	
		border-top-left-radius: 2vh;
		border-top-right-radius: 2vh;
    height: auto;
    width: auto;
    position: relative;
    text-align: center;
    align-items: center;
    display: inline-flex;
		cursor: pointer;
    margin-right: -1.2vh;
		
		span{
			position: absolute;
      left: 42%;
      font-size: calc(2vh + 0.8vw);
      @media (min-width: ${config.MobileBreakpoint + 'px'}) {
        font-size: calc(1vh + 0.8vw);
      }
			color: white !important;
		}
		
	}

    
	.num-active{
		z-index:2;
		&::before{
            color: ${config.PrimaryColor} !important;
		}
  }
    
	
	.text-aba-h{
		
		display: none;
	}

`

// Component
class CaixaAbasHorizontal extends React.Component {
  // Constructor
  constructor (props) {
    super(props)
    this.state = {
      AbasContent: this.props.AbasContent
    }
  }

  // Scripts

  // Called when rendered
  componentDidMount () {
    $('#text-aba-h1').fadeIn('fast')

    // posicionamento dos numeros das caixas-h e caixas-v
    $('.num-h').each(function () {
      $(this).css('opacity', '0.5')
    })
    $('#num-h-slc1').css('opacity', '1.0')
    

    $('.num-h').each(function () {
      $(this).addClass('abash-aba')
    })

    $('.num-h, .aba-circ-h').click(function () {
      if (!$(this).hasClass('num-active')) {
        var id
        if ($(this).hasClass('num-h')) {
          id = $(this).attr('id')[9]
        } else {
          id = $(this).attr('id')[10]
        }

        $('.num-h').each(function () {
          $(this).removeClass('num-active')
          $(this).css('opacity', '0.5')
        })

        $('#num-h-slc' + id).addClass('num-active')
        $('#num-h-slc' + id).css('opacity', '1.0')
        $('.text-aba-h').each(function () {
          $(this).fadeOut(100)
        })

        $('#text-aba-h' + id).delay(100).fadeIn(100)

        $('.aba-circ-h').each(function () {
          $(this).removeClass('aba-circ-active')
        })

        $('#circ-h-slc' + id).addClass('aba-circ-active')

        // console.log(id);
      }
    })
  }

  render () {
    return (
    // Content
      <div className='grid-row'>
        <CaixaAbasH className='caixa-abas-h primary-border-color'>
          <div className='abas-num-div'>
          {this.state.AbasContent.map((value, index) => {
            return <div className={'num-h ' + (index == 0 ? 'num-active' : '')} key={'num-h-slc' + index} id={'num-h-slc' + (index + 1)}><span>{index + 1}</span></div>
          })}

          </div>
          
          {this.state.AbasContent.map((value, index) => {
            return <div className='text-aba-h' key={'text-aba-h' + index} id={'text-aba-h' + (index + 1)}><p>{value}</p></div>
          })}

        </CaixaAbasH>
        <div className='circ-select'>
          <ul className='abas-circ-h'>
            {this.state.AbasContent.map((value, index) => {
              return <li className={'aba-circ-h ' + (index == 0 ? 'aba-circ-active box' : '')} key={'circ-h-slc' + index} id={'circ-h-slc' + (index + 1)} />
            })}

          </ul>
        </div>
      </div>
    )
  }
}
export default CaixaAbasHorizontal
