import React from 'react'

import IconButton from '@material-ui/core/IconButton'
import Minus from '@material-ui/icons/Remove'
import Plus from '@material-ui/icons/Add'
import Default from '@material-ui/icons/FormatSize'
import Divider from '@material-ui/core/Divider'

import styled from 'styled-components'
import config from '../local/js/config'
import HighlightOffIcon from '@material-ui/icons/HighlightOff'

import $ from 'jquery'

const StyledDiv = styled.div`
  width: 98%;
  height: auto;
  margin: auto;
  background-color: #f3f3f3;
  position: relative;
  display: inline-flex;
  flex-flow: wrap;
  .card{
    position: relative;
    display: inline;
    width: 100%;
    margin: 1%;
    height: 9vh;
    border-radius: 1.5vh;
    padding: 1vh;
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
    align-content: center;
    cursor: pointer;
    transition: all 0.7s ease;
    .title{
      width: 99%;
      position: absolute;
      top: 0;
      left: 4%;
      span{
        color: white;
        font-size: 6vh;
      }
    }
    div{
      p{
        text-align: center
      }
    }
    @media (max-width: ${(config.MobileBreakpoint - 1) + 'px'}) {
      width: 98%;
      height: 35vh;
      span{
        font-size: 60px;
      }
    }
    
  }
  #card1{
    background-color: #029ba5;
  }
  #card2{
    background-color: #2bafa4;
  }
  #card3{
    background-color: #26c68b;
  }
  #card4{
    background-color: #24bc59;
  }
  #card5{
    background-color: #2bafa4;
  }

  .info{
    
    display: none;
    position: absolute;
    top: 2%;
    left: 1%;
    width: 98%;
    height: 97%;
    background-color: white;
    z-index: 2;
    border-radius: 1.5vh;
    @media (max-width: ${(config.MobileBreakpoint - 1) + 'px'}) {
      width: 98%;
      height: 35vh;
    }
    .header{
      width: 100%;
      display: inline-flex;
      align-items: center;
      align-content: center;
      justify-content: space-between;
      padding-left: 2vh;
      border-top-left-radius: 1.5vh;
      border-top-right-radius: 1.5vh;
      div{
        span{
          font-size: 6vh;
          color: white;
          margin-right: 3vh;
        }
        p{
          color: white;
          font-size:3vh;
          text-align: left;
        }
        display: inline-flex;
        align-items: center;
        align-content: center;
      }
      .closebtn{
        float: right;
        color: white;
        margin-right: 2vh;
       
      }
    }
    .MuiSvgIcon-root{
      font-size: 2.3rem
    }
    .infocontent{
      padding: 3vh;
      flex: 1;
      overflow-y: auto;
    }
  }

  #info1{
    .header{
      background-color: #029ba5; 
      
    }
  }
  #info2{
    .header{
      background-color: #2bafa4; 
      
    }
  }
  #info3{
    .header{
      background-color: #26c68b; 
      
    }
  }
  #info4{
    .header{
      background-color: #24bc59; 
      
    }
  }
  #info5{
    .header{
      background-color: #2bafa4; 
      
    }
  }
  .infoactive{
    display: flex !important;
    flex-direction: column;
  }
 
  
`

// Page
class CaixaCards extends React.Component {
  constructor (props) {
    super(props)
  }

  componentDidMount () {
    $('.card').click(function () {
      console.log('card')
      $('.infoactive').fadeOut('fast').removeClass('infoactive')
      $('#info' + this.id.split('card')[1]).fadeIn('fast').addClass('infoactive')
      if ($(window).width() < config.MobileBreakpoint) {
        console.log($(this).position().top)
        $('#info' + this.id.split('card')[1]).css('top', $(this).position().top + 3.5)
      }
    })
    $('.closebtn').click(() => {
      $('.infoactive').fadeOut('fast').removeClass('infoactive')
    })
  }

  render () {
    return (
      <StyledDiv className='cards'>
        <div className='card' id='card1'>
          <div className='title'><span>1</span></div>
          <div><p>{this.props.title[0]}</p></div>
        </div>

        <div className='info' id='info1'>
          <div className='header'>
            <div><span>1</span><p>{this.props.title[0]}</p></div>
            <IconButton className='closebtn'><HighlightOffIcon size='large' /></IconButton>
          </div>
          <div className='infocontent'>
            <p>{this.props.content[0]}</p>
          </div>
        </div>

        <div className='card' id='card2'>
          <div className='title'><span>2</span></div>
          <div><p>{this.props.title[1]}</p></div>
        </div>

        <div className='info' id='info2'>
          <div className='header'>
            <div><span>2</span><p>{this.props.title[1]}</p></div>
            <IconButton className='closebtn'><HighlightOffIcon size='large' /></IconButton>
          </div>
          <div className='infocontent'>
            <p>{this.props.content[1]}</p>
          </div>
        </div>

        <div className='card' id='card3'>
          <div className='title'><span>3</span></div>
          <div><p>{this.props.title[2]}</p></div>
        </div>

        <div className='info' id='info3'>
          <div className='header'>
            <div><span>3</span><p>{this.props.title[2]}</p></div>
            <IconButton className='closebtn'><HighlightOffIcon size='large' /></IconButton>
          </div>
          <div className='infocontent'>
            <p>{this.props.content[2]}</p>
          </div>
        </div>

        <div className='card' id='card4'>
          <div className='title'><span>4</span></div>
          <div><p>{this.props.title[3]}</p></div>
        </div>

        <div className='info' id='info4'>
          <div className='header'>
            <div><span>4</span><p>{this.props.title[3]}</p></div>
            <IconButton className='closebtn'><HighlightOffIcon size='large' /></IconButton>
          </div>
          <div className='infocontent'>
            <p>{this.props.content[3]}</p>
          </div>
        </div>

        <div className='card' id='card5'>
          <div className='title'><span>5</span></div>
          <div><p>{this.props.title[4]}</p></div>
        </div>

        <div className='info' id='info5'>
          <div className='header'>
            <div><span>5</span><p>{this.props.title[4]}</p></div>
            <IconButton className='closebtn'><HighlightOffIcon size='large' /></IconButton>
          </div>
          <div className='infocontent'>
            <p>{this.props.content[4]}</p>
          </div>
        </div>

      </StyledDiv>
    )
  }
}
export default CaixaCards
