import React from 'react'
import styled from 'styled-components'
import config from '../local/js/config'

import $ from 'jquery'

// Imports

// Assets

// Styling
const CaixaDiv = styled.div`
    .caixa-destaque-imagem{
       
        border: 2px solid ${config.PrimaryColor};
        border-radius: 1vh;
        padding-left: 1.5vh;
        padding-right: 1.5vh;
        padding-bottom: 1.5vh;
        padding-top: 1.5vh;
        position: relative;
        height: auto;
        background-color: white !important;
        width: 93%;
        margin: auto;
        transition: all ease 0.3s;
        text-align: center;
        @media screen and (max-width: 900px){ 
          padding-left:1vh;
          padding-right: 1vh;
        }
		
        .destaque-prev{
          width: calc(3vh + 2vw) !important;
          height: calc(3vh + 2vw) !important;
          position: absolute;
          top: 40%;
          left: -4%;
          background-color: white;
          cursor: pointer;
          span{
            width: 100%;
            font-size: calc(3vh + 2vw) !important;
            color: ${config.PrimaryColor};
            background-color: white;
          }
         
        }
        
        .destaque-next{
          width: calc(3vh + 2vw) !important;
          height: calc(3vh + 2vw) !important;
          position: absolute;
          top: 40%;
          right: -4%;
          background-color: white;
          cursor: pointer;
          span{
            width: 100%;
            font-size: calc(3vh + 2vw) !important;
            color: ${config.PrimaryColor};
            background-color: white;
          }
          
          
        }

        .destaque-block{
                cursor: default;
          span{
                  color: ${config.PrimaryColor}; /*#8ccee9;*/
                  opacity: 0.5;
          }
        }
        .destaque-imgs{
            
         
          height: auto;
          width: 100%;
	      	margin-bottom: 10px;
            .destaque-img{
              position: relative;
              img{
                width: 100%;
              }
              -webkit-animation-fill-mode: forwards;
              animation-fill-mode: forwards;
              transition: all ease 0.3s;
            }
            .destaque-img-active{
              text-align: center;
                width: 35%;
                opacity: 1;
                display: inline-block;
                margin-top: 5px;
                @media screen and (max-width: 900px){ 
                  width: 40%;
                }
                
            }
        
            .img-left{
            -webkit-animation-duration: 0.8s;
            animation-duration: 0.8s;
            animation-name: fadeImgLeft;
            -webkit-animation-name:fadeImgLeft;
          }
          .img-right{
            -webkit-animation-duration: 0.8s;
            animation-duration: 0.8s;
            animation-name: fadeImgRight;
            -webkit-animation-name:fadeImgRight;
          }
        }
        .destaque-text{
          text-align: justify;
            display: none;
            padding-left: 4%;
            padding-right: 4%;
          @media screen and (max-width: 900px){ 
            margin-top: 12%;
            padding-left: 9%;
            padding-right: 9%;
          }
        }
    }




    .destaque-marker{
        width: 4vh;
        height: 4vh;
        background-color: ${config.PrimaryColor};
        border-radius: 50%;
        position: absolute;
        opacity: 0.6;
        color: white;
        font-size: calc(1.5vh + 1vw);
        cursor: pointer;
        transition: all ease 0.2s;
        display:flex;
        align-items: center;
        justify-content: center;
    }
    .destaque-marker-active{
        width: 4.5vh;
        height: 4.5vh;
        opacity: 1;
        font-size: calc(1.7vh + 1vw);
      
    }
`
// Component
class CaixaDestaqueImagem extends React.Component {
  // Constructor
  constructor (props) {
    super(props)
    this.state = {
      // Acess this.props
      Content: this.props.Content,
      src: this.props.src
    }
  }

  // Scripts

  // Called when rendered
  componentDidMount () {
    const destaque_txts = $('.destaque-text').length
    $('#destaque-text1').fadeIn('fast')
    $('.destaque-prev').addClass('destaque-block')
    if (destaque_txts == 1) {
      $('.destaque-next').addClass('destaque-block')
    }

    // destaque com imagens

    $('.destaque-prev, .destaque-next').click(function () {
      if (!$(this).hasClass('destaque-block')) {
        var curId = parseInt($('.destaque-marker-active').attr('id').split('destaque-marker')[1])

        $('.destaque-marker').removeClass('destaque-marker-active')
        var next = curId + 1
        var prev = curId - 1
        if ($(this).hasClass('destaque-next')) {
          $('.destaque-text').each(function () {
            $(this).fadeOut(100)
          })
          $('#destaque-text' + next).delay(200).fadeIn(100)

          if (next == destaque_txts) {
            $('.destaque-next').addClass('destaque-block')
          }

          $('.destaque-prev').removeClass('destaque-block')

          $('#destaque-marker' + next).addClass('destaque-marker-active')
        }

        if ($(this).hasClass('destaque-prev')) {
          $('.destaque-text').each(function () {
            $(this).fadeOut(100)
          })
          $('#destaque-text' + prev).delay(200).fadeIn(100)

          if (prev == 1) {
            $('.destaque-prev').addClass('destaque-block')
          }

          $('.destaque-next').removeClass('destaque-block')
          $('#destaque-marker' + prev).addClass('destaque-marker-active')
        }
      }
    })

    let id = 0
    $('.destaque-marker').click(function () {
      if (!$(this).hasClass('destaque-marker-active')) {
        id = $(this).attr('id').split('destaque-marker')[1]
        $('.destaque-text').each(function () {
          $(this).fadeOut('fast')
        })
        $('.destaque-marker-active').removeClass('destaque-marker-active')

        $('#destaque-marker' + id).addClass('destaque-marker-active')
        $('#destaque-text' + id).delay(200).fadeIn(100)

        if (id == destaque_txts) {
          $('.destaque-next').addClass('destaque-block')
        } else {
          $('.destaque-next').removeClass('destaque-block')
        }
        if (id == 1) {
          $('.destaque-prev').addClass('destaque-block')
        } else {
          $('.destaque-prev').removeClass('destaque-block')
        }
      }
    })
  }

  render () {
    return (
    // Content
      <CaixaDiv>
        <div class='caixa-destaque-imagem'>
          <div class='destaque-prev'><span class='icon-circle-left' /></div>
          <div class='destaque-next'><span class='icon-circle-right' /></div>

          <div class='destaque-imgs'>
            <div class='destaque-img tamanho7' >
              <img src={this.state.src} />
              {this.state.Content.map((value, index) => {
                return <div class={'destaque-marker ' + (index == 0 ? 'destaque-marker-active' : '')}
                  id={'destaque-marker' + (index + 1)}>{index + 1}</div>
              })}
            </div>
          </div>

          {this.state.Content.map((value, index) => {
            return <div class='destaque-text' id={'destaque-text' + (index + 1)}><p>{value}</p></div>
          })}
        </div>
      </CaixaDiv>
    )
  }
}
export default CaixaDestaqueImagem
