import React from 'react'
import styled from 'styled-components'

// Imports
import caixas from './shared/css/caixas.scss'

// Assets
import img1 from './shared/media/images/personagem.png'
import $ from 'jquery'

// Styling

//
import config from '../local/js/config'

const CaixaContent = styled.div`
    border: none;
    width: 100%;
    height: auto;
    
    background-color: ${config.PrimaryColor};
    display: inline-block;
    position: relative;
    padding: 0px !important;
    display: flex;
    .Bar{
      width: 102%;
      height: 10%;
      position: absolute;
      top: -1px;
      left: -11px;
      background-color: white;
    }
    align-items: flex-end;
`

const Dialogtext = styled.div`
    word-spacing: normal;
    position:relative;
	padding: 2vh;
    border:0.3vh solid ${config.PrimaryColor};
    min-height: 20vh;
    color:#333;
    background:#fff;
    width:100%;
    text-align: justify;
    margin-left: 0;
    margin-top: 0;
    word-break: break-word;
    -webkit-border-radius:1vh 0vh 1vh 1vh;
    -moz-border-radius:1vh 0vh 1vh 1vh;
    border-radius:1vh 0vh 1vh 1vh;

    
    @media screen and (min-width: 900px){ 
        width: 78%;
        margin-top: 3vh;
        margin-bottom: 1vh;
        margin-left: 1vh;
        &.conversa:before {
            content: "";
            width: 1.3vh;
            position: absolute;
            top: -0.3vh;
            bottom: auto;
            left: auto;
            right: -5vh;
            border-style: solid; 
            display: block;
            border-width: 0px 0px 4.7vh 4.9vh;
            border-color: ${config.PrimaryColor} transparent transparent ${config.PrimaryColor};
            
        }


        &.conversa:after {
            content: "";
            width: 1vh;
            position: absolute;
            top: 0px;
            bottom: auto;
            left: auto;
            right: -4.1vh;
            border-style: solid; 
            display: block;
            border-width: 0px 0px 4vh 4.3vh;
            border-color: transparent #fff; 
        }
    }
    
   
`

const Dialogimage = styled.div`
    position: absolute;
    right: 0;
    bottom: 0;
    width: 22%;
    height: auto;
    max-height: 25vh;
	background-color: transparent;
	border: none;

	padding: 0;
	
	z-index: 1;
    float: left;

	
	img{
		width: 100%;
        height: 100%;
	}
    
	@media screen and (max-width: 899px){ 
        display: none;
  }
`

// Component
class CaixaDialogoFundo extends React.Component {
  // Constructor
  constructor (props) {
    super(props)
    this.state = {
      DialogContent: this.props.DialogContent,
      DialogImage: this.props.DialogImage || img1
    }
  }

  // Scripts

  // Called when rendered
  componentDidMount () {

  }

  render () {
    return (
    // Content
      <CaixaContent className='caixa caixa-dialogo-fundo'>

        <Dialogtext className='conversa'>
          <p>{this.state.DialogContent}</p>
        </Dialogtext>
        <Dialogimage className='conversa-imagem'>
          <img src={this.state.DialogImage} />
        </Dialogimage>

      </CaixaContent>
    )
  }
}
export default CaixaDialogoFundo
