import React from 'react'
import {keyframes} from 'styled-components'
import styled from 'styled-components'

import $ from 'jquery'
// Imports

// Assets
import img1 from './shared/media/images/personagem.png'

// Styling
import '../core/css/icomoon.scss'
//
import config from '../local/js/config'

const fadeInLeft = keyframes`
	0% {
	   opacity: 0;
	   transform: translateX(-70px);
	}
	100% {
	   opacity: 1;
	   transform: translateX(0);
	}
 `

const fadeInRight = keyframes`
	0% {
	   opacity: 0;
	   transform: translateX(100px);
	}
	100% {
	   opacity: 1;
	   transform: translateX(0);
	}
 `

const Dialog = styled.div`
    border: none;
	width: 100%;
	height: auto;
	background-color: ${config.PrimaryColor} !important;
	display: inline-block;
	position: relative;
	padding:0px !important;
	.seta-prev{
		width: 6vh;
		height: 6vh;
		position: absolute;
		top:calc(50% - 6vh/2);
		left: 1%;
		border-radius: 50%;
		overflow: hidden;
		cursor: pointer;
		transition: all 0.5s ease;
		span{
			width: 100%;
			font-size: 6vh !important;
			color: white;
			background-color: ${config.SecondaryColor};
		
		}
		@media screen and (max-width: 900px){ 
			width: 6vh;
			height: 6vh;
			
			span{
				font-size: 6vh;
			}
		}
	}
	
	.seta-next{
		z-index: 1;
		width: 6vh;
		height: 6vh;
		position: absolute;
		top:calc(50% - 6vh/2);
		right: 1%;
		border-radius: 50%;
		overflow: hidden;
		cursor: pointer;
		transition: all 0.5s ease;
		span{
			width: 100%;
			font-size: 6vh !important;
			color: white;
			background-color: ${config.SecondaryColor};
		}
		@media screen and (max-width: 900px){ 
			width: 6vh;
			height: 6vh;
			
			span{
				font-size: 6vh;
			}
		}
		
	}

	.seta-block{
		cursor: default;
		span{
			opacity: 0.5;
		}
	}

	.cx-dlg-sld-active{
		display: block !important;
		
		-webkit-animation-fill-mode: both;
		animation-fill-mode: both;
		
	}
	.active-right{
		-webkit-animation-duration: 1s;
		animation-duration: 1s;
		animation-name: ${fadeInRight};
		-webkit-animation-name:${fadeInRight};
	}
	.active-left{
		-webkit-animation-duration: 0.8s;
		animation-duration: 0.8s;
		animation-name: ${fadeInLeft};
		-webkit-animation-name:${fadeInLeft};
	}
	.caixa-dialogo-slider-txt{
		-webkit-border-radius:1vh 0px 1vh 1vh;
		-moz-border-radius:1vh 0px 1vh 1vh;
		border-radius:1vh 0px 1vh 1vh;
		padding: 2vh;
		background-color: white;
		width: 62.6%;
		display: none;
		margin-left: 8vh;
		margin-top: 1vh;
		height: auto;
		position: relative;
		
		p{
			overflow: hidden;
		}

		@media screen and (max-width: ${config.MobileBreakpoint - 1}px){ 
			width: 73%;
			margin-left: calc(50% - 73%/2);
		}

		@media screen and (min-width: ${config.MobileBreakpoint}px){
			&:after {
				content: ' ';
				position: absolute;
				width: 0;
				height: 0;
				left: auto;
				right: -1.4vh;
				top: 0;
				bottom: auto;
				border: 2vh solid;
				border-color: white transparent transparent transparent;
			}
		}
	}
	.caixa-dialogo-slider-img{
		display: none;
		background-color: transparent;
		border: none;
		position: absolute;
		bottom: 0vh;
		right: 6.2vh;
		padding: 0;
		width: 24% !important;
		
		
		img{
			width: 100%;
		}
		@media screen and (max-width: ${config.MobileBreakpoint - 1}px){ 
			width:33% !important;
			display: none !important;
		}
		@media screen and (max-width: 450px){ 
		
			top: 5%;
			right: 12px;
			display: none !important;

		}
		
	}
`

const StyledDiv = styled.div`
	@media screen and (min-width: ${config.MobileBreakpoint}px){
		margin-top: 5.5vh !important;
	}
`

// Component
class CaixaDialogoSlider extends React.Component {
  // Constructor
  constructor (props) {
    super(props)
        let dialogImages = []

    // Fills the images array with the given ones or the default one
    if (!this.props.DialogImages) {
      for (let i = 0; i < this.props.DialogContent.length; i++) {
        dialogImages.push(img1)
      }
    } else {
      dialogImages = this.props.DialogImages
    }
    this.state = {
      DialogContent: this.props.DialogContent,
      DialogImages: dialogImages
    };
		}


  // Scripts

  // Called when rendered
  componentDidMount () {
    
    var dlg_sld_txts = 0
        $('.caixa-dialogo-slider-txt').each(function () {
      dlg_sld_txts = dlg_sld_txts + 1
        });
    $('#cx-dlg-sld-txt1').addClass('cx-dlg-sld-active')
        $('#cx-dlg-sld-img1').addClass('cx-dlg-sld-active')
        $('.seta-prev').addClass('seta-block');
    if (dlg_sld_txts <= 1) {
      $('.seta-next').addClass('seta-block');
    }
    $('.seta-prev, .seta-next').click(function () {
      setTimeout(() => { $('.seta-prev, .seta-next').css('top', ($('.caixa-dialogo-slider').outerHeight() - $('.seta-prev').height()) / 2) }, 200)
      if (!$(this).hasClass('seta-block')) {
        var curId = parseInt($('.cx-dlg-sld-active').attr('id').split('cx-dlg-sld-txt')[1])
                if($(this).hasClass('seta-next')) {
          if (curId + 1 == dlg_sld_txts) {
            $('.seta-next').addClass('seta-block');
          }
          $('.seta-prev').removeClass('seta-block');
          $('.cx-dlg-sld-active').removeClass('cx-dlg-sld-active active-right active-left');
          $('#cx-dlg-sld-txt'+(curId + 1)).addClass('cx-dlg-sld-active active-right');
          $('#cx-dlg-sld-img'+(curId + 1)).addClass('cx-dlg-sld-active active-right');
        }
        if ($(this).hasClass('seta-prev')) {
          if (curId - 1 == 1) {
            $('.seta-prev').addClass('seta-block');
          }
          $('.seta-next').removeClass('seta-block');
          $('.cx-dlg-sld-active').removeClass('cx-dlg-sld-active active-right active-left');
          $('#cx-dlg-sld-txt'+(curId - 1)).addClass('cx-dlg-sld-active active-left');
          $('#cx-dlg-sld-img'+(curId - 1)).addClass('cx-dlg-sld-active active-left');
        }
      }
    })
        $('.caixa-dialogo-slider-img').css('width', $('.caixa-dialogo-slider').height())
        $(window).resize(function () {
      $('.caixa-dialogo-slider-img').css('width', $('.caixa-dialogo-slider').height())
        });
    }

  render () {
    return (
    // Content
          <StyledDiv className='grid-row caixa caixa-slider'>

              <Dialog className='caixa-dialogo-slider right'>

          <div className='seta-prev'><span className='icon-circle-left'></span></div>
          <div className='seta-next'><span className='icon-circle-right'></span></div>

                  {this.state.DialogContent.map((value, index) => {
            return <div className='caixa-dialogo-slider-txt' key={'caixaslider' + index} id={'cx-dlg-sld-txt' + (index + 1)}><p>{value}</p></div>
          })}

          {this.state.DialogContent.map((value, index) => {
            return <div className='caixa-dialogo-slider-img' key={'caixasliderimg' + index} id={'cx-dlg-sld-img'+(index + 1)}><img src={this.state.DialogImages[index]} /></div>
          })}

          <ul className='selec'></ul>
        </Dialog>
      </StyledDiv>
    )
  }
}
export default CaixaDialogoSlider
