import React from 'react'
import styled from 'styled-components'

// Imports

// Assets
import objetivo from '../local/media/images/objetivo.png'
import saibamais from '../local/media/images/saibamais.png'
import reflita from '../local/media/images/reflita.png'
import agoravoce from '../local/media/images/agoravoce.png'
import observacao from '../local/media/images/observacao.png'
import importante from '../local/media/images/importante.png'
import voceconhece from '../local/media/images/voceconhece.png'
import complementar from '../local/media/images/complementar.png'
import config from '../local/js/config'
import $ from 'jquery'

// Styling
const CaixaDiv = styled.div`
    
    .caixa-icones {
        height: auto;
        background-color: white;
        border: 0.3vh solid ${config.PrimaryColor};
        border-radius: 1vh;
        padding: 3vh 2vh 2vh 2vh;
        margin-top: 1vh;
        position: relative;
    }
    .caixa-icones .texto {
        background: #fff;
        word-spacing: normal;
        font-weight: bold;
        height: auto;        
        font-size: ${props => props.sizeText + 'px'};
        @media (max-width: ${(config.MobileBreakpoint - 1) + 'px'}) {
          font-size: calc(1.5vh + 1vw) !important;
        }
    }
    .caixa-icones .texto-conjunto {
        background: #fff;
        color: ${config.PrimaryColor};
        word-spacing: normal;
        position: absolute;
        top: -17%;
        left: 6%;
        padding: 5px 10px;
        font-weight: bold;
        height: auto;
        font-size: 1em;
        
        @media screen and (max-width: ${config.MobileBreakpoint + 'px'}){
            width: auto;
            top: -14%;
            left: 8%;
        }
        @media only screen and (min-device-width: 320px) and (max-device-height: 568px) {
            width: auto;
            top: -14%;
            left: 12%;
        }
        
        
    }

    .icone-head{
      display: inline-flex;
      background: #fff;
      word-spacing: normal;
      position: absolute;
     
      left: 6%;
      padding: 1vh 1vh 1vh 1vh;
      font-weight: bold;
      width: auto;
      height: auto;
      font-size: 0.9em;
    } 
    .caixa-icones  span {
        color: #19a5dd;
        z-index: 2;
        width: 4.5vh;
        height: 4.5vh;
        background-repeat: no-repeat;
        background-size: contain;
        margin-right: 1vh;
    }
    span.objetivo {
        background-image: url(${objetivo});
    }
    span.saibamais {
        background-image: url(${saibamais});
    }
    span.reflita {
        background-image: url(${reflita});
    }
    span.agoravoce {
        background-image: url(${agoravoce});
    }
    span.observacao {
    
        background-image: url(${observacao});
    }
    span.importante {
    
        background-image: url(${importante});
    }
    span.voceconhece {
    
        background-image: url(${voceconhece});
    }
    span.complementar{
    
    background-image: url(${complementar});
    }
`
// Component
class CaixaIcone extends React.Component {
  // Constructor
  constructor (props) {
    super(props)
    this.state = {
      // Acess this.props
      type: this.props.type,
      title: this.props.title,
      content: this.props.Content
    }
  }

  // Scripts

  // Called when rendered
  componentDidMount () {
    $('.icone-head').css('top', -$('.icone-head').outerHeight() / 2)
    $(window).resize(() => {
      const f_t = ((1 / 100) * ($('.Ebook').width() * 0.95)) + ((1 / 100) * $('.Ebook').height())
      $('.texto').css('font-size', f_t)
      $('.icone-head').css('top', -$('.icone-head').outerHeight() / 2)
    })
  }

  render () {
    return (
    // Content
      <div className='grid-row caixa caixa-icone' >
        <CaixaDiv sizeText={((1 / 100) * ((95 / 100) * $(window).height())) + ((1 / 100) * $(window).height())}>
          <div className='caixa-icones'>
            <div className='icone-head align-items-center justify-content-center' >
              <span className={this.state.type} />
              <div className='texto'>{this.state.title}</div>
            </div>
            <p>{this.state.content}</p>
          </div>
        </CaixaDiv>
      </div>
    )
  }
}
export default CaixaIcone
