import React from 'react'

import IconButton from '@material-ui/core/IconButton'
import CommentsIcon from '@material-ui/icons/Textsms'

import styled from 'styled-components'
import config from '../local/js/config'

import $ from 'jquery'

import MarkerFunctionalities from '../core/js/MarkerFunctionalities.js'
import CommentsFunctionalities from '../core/js/CommentsFunctionalities.js'

const StyledDiv = styled.div`
  margin-left: 0%;
  @media (min-width: ${config.MobileBreakpoint + 'px'}) {
    margin-left: 1%;
  }

  .menuButton{
    margin-left: 1vh;
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      margin-left: 5%;
    }
  }
  .MuiIconButton-root{
    cursor: pointer;
    background-color: #5f6ac3;
    padding: 1.2vh;
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      background-color: ${config.ButtonColor};
      padding: 0.9vh;
    } 
  }
  .MuiIconButton-root:hover {
    background-color: ${config.ButtonColor};
  }
  .MuiSvgIcon-root{
    color: white;
    font-size: calc(1.6vh + 2vw);
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      font-size: calc(1.6vh + 1vw);
    }
  }
 
  
`

// Page
class Comments extends React.Component {
  constructor (props) {
    super(props)

    const Cmt_Pages = []
    for (let i = 0; i < NUM_PAGES; i++) {
      Cmt_Pages.push([])
    }

    this.state = {
      Comments: Cmt_Pages,
      curPage: this.props.page
    }

    $(document).on('updatePage', (e, page) => {
      this.setState({ curPage: page })
    })
  }

  componentDidMount () {
    $('.comments_btn').on('touchstart mousedown', e => {
      e.stopImmediatePropagation()
      $('.marker_btn').removeClass('active_btn')
      $('.comments_btn').addClass('active_btn')

      MarkerFunctionalities.marcaTexto(this.state, 2).then(response => {
        if (response) {
          this.salvarHgt(response)
          const id = response.id
          const pos = response.position
          console.log('retornou marcacao')
          Comentario.criarComentario(id, pos, this.state).then(comment => {
            if (comment) this.salvarCmt(comment)
            else {
              Marker.excluiMarcacao(id)
              this.deletarHgt(id)
            }
          })
        }
      })
    })
  }

  async makeComment () {

  }

  render () {
    return (
      <StyledDiv><IconButton edge='start' className='menuButton comments_btn' color='inherit' aria-label='menu'>
        <CommentsIcon />
      </IconButton></StyledDiv>

    )
  }
}
export default Comments
