import React from 'react'
import styled from 'styled-components'
import '../core/css/style.scss'
import config from '../local/js/config'

// Styling

const ListaDiv = styled.div`
    /*Lista animada com linhas*/
    .lista-animada-linhas { 
      padding: 0; 
    }
    .lista-animada-linhas * {
        margin: 0 !important;
    }
    .lista-animada-linhas > li {  
        list-style: none; 
    }
  
    .linha1 { 
        border: 0.3vh;
        border-color: ${config.PrimaryColor};
        border-style: solid none;
        padding: 1vh;
    }
    .linha2 { 
        border: 0.3vh;
        border-color: ${config.PrimaryColor};
        border-style: none none solid none;
        padding: 1vh;
    }
`

// Page
class ListaLinhas extends React.Component {
  constructor (props) {
    super(props)
    this.state = {
      ListContent: this.props.ListContent
    }
  }

  // Scripts

  // Called when rendered
  componentDidMount () {

  }

  render () {
    return (
    // Content
      <div className='grid-row caixa'>
        <ListaDiv>
          <div className='lista-animada-linhas'>
            {this.state.ListContent.map((value, index) => {
              return <li className={index <= 0 ? 'linha1' : 'linha2'} key={'lista-animada-linhas-' + index}><p>{value}</p></li>
            })}
          </div>
        </ListaDiv>
      </div>
    )
  }
}
export default ListaLinhas
