import React from 'react'

import IconButton from '@material-ui/core/IconButton'
import Minus from '@material-ui/icons/Remove'
import Plus from '@material-ui/icons/Add'
import Default from '@material-ui/icons/FormatSize'
import Divider from '@material-ui/core/Divider'

import styled from 'styled-components'
import config from '../../local/js/config'

import $ from 'jquery'

const StyledDiv = styled.div`
  margin-left: 0%;
  @media (min-width: ${config.MobileBreakpoint + 'px'}) {
    margin-left: 1%;
  }

 
  .notes_download{
    width: 80%;
    display: inline-flex;
    margin-top: 1vh;
    margin-left: 10%;
    margin-right: 10%;
    padding: 1vh;
    border: 0.4vh solid;
    border-color: ${config.EbookColor};
    color: ${config.EbookColor};
    border-radius: 1vh;
    align-items: center;
    justify-content: center;
    font-size: calc(2vh + 0.8vw);
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      font-size: calc(1vh + 0.5vw);
    }
    cursor: pointer;
    &:hover{
      color: white;
      background-color: ${config.FrameColor};
    }
  }

  display:none;
  flex: 1;
  height: auto;
  overflow: auto;
  flex-flow: column;
`

// Page
class BaixarAnotacoes extends React.Component {
  constructor (props) {
    super(props)
  }

  componentDidMount () {
    $('.notes_download').click(() => {
      $(document).trigger('downloadComments')
    })
  }

  render () {
    return (
      <StyledDiv className='menu_notes'>
        <Divider />
        <div className='notes_download'>
              Baixar Anotações
        </div>
      </StyledDiv>
    )
  }
}
export default BaixarAnotacoes
