import React from 'react'

import List from '@material-ui/core/List'
import ListItem from '@material-ui/core/ListItem'
import ListItemIcon from '@material-ui/core/ListItemIcon'
import ListItemText from '@material-ui/core/ListItemText'
import AttachmentIcon from '@material-ui/icons/Attachment'
import Divider from '@material-ui/core/Divider'

import styled from 'styled-components'
import config from '../../local/js/config'
import creditos from '../../local/js/creditos_list'
import $ from 'jquery'

const StyledDiv = styled.div`
  .divider{
    position: absolute;
    top: 6vh;
    width: 100%;
  }
  margin-left: 0%;
  @media (min-width: ${config.MobileBreakpoint + 'px'}) {
    margin-left: 1%;
  }
  .MuiIconButton-root{
    cursor: pointer;
    background-color: transparent;
    padding: calc(1.3vh + 0vw);
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      background-color: ${config.ButtonColor};
      padding: calc(0.2vh + 0.2vw);
    } 
  }
  .MuiIconButton-root:hover {
    background-color: ${config.ButtonColor};
  }
  .MuiSvgIcon-root{
    color: ${config.EbookColor};
    font-size: calc(2vh + 2vw);
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      font-size: calc(0.7vh + 0.7vw);
    }
  }

  .menuButton{
    margin-left: 0%;
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      margin-left: 5%;
    }
  }
  .prevButton, .nextButton{
    background-color: ${config.ButtonColor} !important;
    padding: calc(0.8vh + 0vw) !important
  }
  .MuiLinearProgress-bar{
    background-color: ${config.EbookColor}
  }
  .MuiListItemIcon-root{
    margin-right: 1vh;
    min-width: 0;
  }
  p{
    margin-bottom: 0;
    margin-left: 1vh;
  }
  a{
    color: inherit; /* blue colors for links too */
    text-decoration: none; /* no underline */
    &:hover{
      text-decoration: none; /* no underline */
    }
  }

  .itemText{
    font-size: ${props => (props.sizeText) + 'px'};
  }
  
  .cred_referencia{
    font-size: 2.1vh
  }
  display:none;
  flex: 1;
  height: auto;
  overflow: auto;
`

const fontratio = () => { return $(window).width() >= config.MobileBreakpoint ? 1 : 1 }

// Page
class TamanhoFonte extends React.Component {
  componentDidMount () {
    $('.itemText').find('*').addClass('itemText')
  }

  render () {
    return (
      <StyledDiv className='menu_creditos' sizeText={((fontratio() / 100) * ((95 / 100) * $(window).height())) + ((fontratio() / 100) * $(window).height())}>
        <Divider className='divider' />

        <List className='creditos'>
          {creditos.map((value, index) => {
            return <div>
              <p className='itemText'><strong>{value.Campo}</strong></p>
              {value.Nomes.map((value, index) => {
                if (value[1] != '') {
                  return <a href={value[1]} target='_blank' rel='noopener noreferrer'><ListItem button key={'cred' + index} style={{ 'min-height': '6vh' }}>
                    <ListItemIcon>
                      <AttachmentIcon />
                    </ListItemIcon>
                    <ListItemText primary={value[0]} classes={{ primary: 'itemText' }} />
                  </ListItem></a>
                } else {
                  return <ListItem button key={'cred' + index} style={{ 'min-height': '6vh' }}>
                    <ListItemIcon />
                    <ListItemText primary={value[0]} classes={{ primary: 'itemText' }} />
                  </ListItem>
                }
              })}

            </div>
          })}
          <p className='itemText'><strong>Referência</strong></p>
          <ListItem className='cred_referencia' button key={'credref'} >
            {creditos[0].Referencia}
          </ListItem>

        </List>
      </StyledDiv>
    )
  }
}
export default TamanhoFonte
