import React from 'react'

import Divider from '@material-ui/core/Divider'

import styled from 'styled-components'
import config from '../../local/js/config'
import $ from 'jquery'

const StyledDiv = styled.div`
  margin-left: 0%;
  @media (min-width: ${config.MobileBreakpoint + 'px'}) {
    margin-left: 1%;
  }
  .MuiIconButton-root{
    cursor: pointer;
    background-color: transparent;
    padding: calc(1.3vh + 0vw);
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      background-color: ${config.ButtonColor};
      padding: calc(0.2vh + 0.2vw);
    } 
  }
  .MuiIconButton-root:hover {
    background-color: ${config.ButtonColor};
  }
  .MuiSvgIcon-root{
    color: ${config.EbookColor};
    font-size: calc(2vh + 2vw);
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      font-size: calc(1vh + 1vw);
    }
  }

  .menuButton{
    margin-left: 0%;
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      margin-left: 5%;
    }
  }
  .prevButton, .nextButton{
    background-color: ${config.ButtonColor} !important;
    padding: calc(0.8vh + 0vw) !important
  }
  .MuiLinearProgress-bar{
    background-color: ${config.EbookColor}
  }

  .pages{
    max-width: 69%;
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      max-width: 73%;
    }
    margin: auto;
    margin-top:1vh;
  }
  .page{
    width: 5.5vh;
    height: 5.5vh;
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      width: 4.5vh;
      height: 4.5vh;
    }
    border: solid 0.4vh ${config.EbookColor};
    display: -webkit-inline-box;
    display: -webkit-inline-flex;
    display: -ms-inline-flexbox;
    display: inline-flex;
    border-radius: 1vh;
    margin: 0.4vh;
    cursor: pointer;
    color: ${config.EbookColor};
    &:hover{
      background-color: ${config.EbookColor};
      color: white;
    }
  }
  .page_select{
    background-color: ${config.EbookColor} !important;
    color: white !important;
    opacity: 1 !important;
  }
  .page_read{
    opacity: 0.5;
    background-color: lightgray;
  }
  .itemText{
    font-size: ${props => props.sizeText + 'px'};
  }
  .divider{
    position: absolute;
    top: 6vh;
    width: 100%;
  }
  
  display:none;
  flex: 1;
  height: auto;
  overflow: auto;
  word-break: break-word;
`

const fontratio = () => { return $(window).width() >= config.MobileBreakpoint ? 1 : 1 }

// Page
class Paginas extends React.Component {
  constructor (props) {
    super(props)
    $(document).on('updatePage', (e, page) => {
      $('.page_select').removeClass('page_select')
      $('#page' + page).addClass('page_select')
    })
  }

  render () {
    const pages = []
    for (let i = 0; i < config.Pages; i++) { pages.push(<div id={'page' + (i + 1)} className={((i + 1) == this.props.page ? 'page page_select itemText align-items-center justify-content-center ' : 'page itemText align-items-center justify-content-center ') + (i + 1 <= this.props.maxPage ? 'page_read' : '')} onClick={() => $(document).trigger('changePage', [i + 1, true, 'paginas', this.props.Code])}>{(i + 1)}</div>) }
    return (
      <StyledDiv className='menu_paginas' sizeText={((fontratio() / 100) * ((95 / 100) * $(window).height())) + ((fontratio() / 100) * $(window).height())}>
        <Divider className='divider' />
        <div className='pages'>
          {pages}
        </div>
      </StyledDiv>
    )
  }
}
export default Paginas
