import React from 'react'

import List from '@material-ui/core/List'
import ListItem from '@material-ui/core/ListItem'
import Divider from '@material-ui/core/Divider'
import Tooltip from '../Tooltip'
import styled from 'styled-components'
import config from '../../local/js/config'
import referencias from '../../local/js/referencia_list'
import clipboard from 'clipboard'
import $ from 'jquery'

const StyledDiv = styled.div`
  margin-left: 0%;
  @media (min-width: ${config.MobileBreakpoint + 'px'}) {
    margin-left: 1%;
  }
  .MuiIconButton-root{
    cursor: pointer;
    background-color: transparent;
    padding: calc(1.3vh + 0vw);
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      background-color: ${config.ButtonColor};
      padding: calc(0.2vh + 0.2vw);
    } 
  }
  .MuiIconButton-root:hover {
    background-color: ${config.ButtonColor};
  }
  .MuiSvgIcon-root{
    color: ${config.EbookColor};
    font-size: calc(2vh + 2vw);
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      font-size: calc(1vh + 1vw);
    }
  }

  .menuButton{
    margin-left: 0%;
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      margin-left: 5%;
    }
  }
  .prevButton, .nextButton{
    background-color: ${config.ButtonColor} !important;
    padding: calc(0.8vh + 0vw) !important
  }
  .MuiLinearProgress-bar{
    background-color: ${config.EbookColor}
  }
  .itemText{
    font-size: ${props => props.sizeText + 'px'};
    p{
      margin-bottom: 0;
    }
    color: black;
    a{
      color: #007bff
    } 
  }
  .divider{
    position: absolute;
    top: 6vh;
    width: 100%;
  }
  
  display:none;
  flex: 1;
  height: auto;
  overflow: auto;
`

const fontratio = () => { return $(window).width() >= config.MobileBreakpoint ? 1 : 1 }

// Page
class Refenrencias extends React.Component {
  componentDidMount () {
    $('.itemText').find('*').addClass('itemText')

    console.log(document.getElementById('ref1'))
    const clip = new clipboard('.itemText', {
      text: function (trigger) {
        console.log(trigger.textContent)
        return trigger.textContent
      },
      container: document.getElementById('ref1')
    })
    clip.on('success', function (e) {
      console.log('sucess:', e)
    })
    clip.on('error', function (e) {
      console.log(e)
    })
  }

  render () {
    return (
      <StyledDiv className='menu_referencias' sizeText={((fontratio() / 100) * ((95 / 100) * $(window).height())) + ((fontratio() / 100) * $(window).height())}>
        <Divider className='divider' />

        <List className='referencias'>
          {referencias.map((value, index) => {
            return <ListItem button key={'ref' + index} className='itemText referencia' id={'ref' + (index + 1)} style={{ 'min-height': '6vh' }}>
              {<Tooltip Title='Clique para copiar' Side='left' Content={value} color='black' data-clipboard-action='copy' data-clipboard-target={'#ref' + (index + 1)} />}
            </ListItem>
          })}
        </List>
      </StyledDiv>
    )
  }
}
export default Refenrencias
