import React from 'react'

import IconButton from '@material-ui/core/IconButton'
import Minus from '@material-ui/icons/Remove'
import Plus from '@material-ui/icons/Add'
import Default from '@material-ui/icons/FormatSize'

import styled from 'styled-components'
import config from '../../local/js/config'
import Divider from '@material-ui/core/Divider'

import $ from 'jquery'

const StyledDiv = styled.div`
  margin-left: 0%;
  @media (min-width: ${config.MobileBreakpoint + 'px'}) {
    margin-left: 1%;
  }
  .MuiIconButton-root{
    cursor: pointer;
    background-color: transparent;
    padding: calc(1.3vh + 0vw);
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      background-color: ${config.ButtonColor};
      padding: calc(0.2vh + 0.2vw);
    } 
  }

  .MuiIconButton-root {
   
    margin-left: 1.5vh;
    margin-right: 1.5vh;
  }
  .MuiSvgIcon-root{
    color: ${config.EbookColor};
    font-size: calc(3vh + 3vw);
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      font-size: calc(1.5vh + 1.5vw);
    }
  }

  .menuButton{
    margin-left: 0%;
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      margin-left: 5%;
    }
  }
  .prevButton, .nextButton{
    background-color: ${config.ButtonColor} !important;
    padding: calc(0.8vh + 0vw) !important
  }
  .MuiLinearProgress-bar{
    background-color: ${config.EbookColor}
  }
  .fonte-box{
    width: 80%;
    display: inline-flex;
    margin: auto;
    margin-top: 1vh;
    padding: 1vh;
    border: 0.4vh solid;
    border-color: ${config.EbookColor};
    border-radius: 1vh;
    align-items: center;
    justify-content: center;
  }

  display:none;
  flex: 1;
  height: auto;
  overflow: auto;
  flex-flow: column;
`

// Page
class TamanhoFonte extends React.Component {
  constructor (props) {
    super(props)
    $(document).on('open_fonte', () => {
      $('.menu_fonte').css('display', 'flex')
    })

    this.state = {
      normalFont: $('p').css('font-size')
    }
    $(document).on('updatePage', (e, page, changeFont) => {
      if (changeFont) {
        $('p').css('font-size', changeFont)
        $('p').addClass('change_font')
        $('.page').css('font-size', changeFont)
        $('.page').addClass('change_font')
        $('li').css('font-size', changeFont)
        $('li').addClass('change_font')
        $('span').css('font-size', changeFont)
        $('span').addClass('change_font')
      }
    })
  }

  diminuirFonte () {
    const size = parseInt($('p').css('font-size'))
    $('.page').css('font-size', size - 1)
    $('p').css('font-size', size - 1)
    $('p').addClass('change_font')
    $('.page').addClass('change_font')
    $('li').css('font-size', size - 1)
    $('li').addClass('change_font')
    $('span').css('font-size', size - 1)
    $('span').addClass('change_font')
  }

  normalizarFonte () {
    const f_p = ((2.3 / 100) * ($('.Ebook').width() * 0.95))
    $('p').css('font-size', f_p)
    $('.page').css('font-size', f_p)
    $('p').removeClass('change_font')
    $('.page').removeClass('change_font')
    $('li').css('font-size', f_p)
    $('li').removeClass('change_font')
    $('span').css('font-size', f_p)
    $('span').removeClass('change_font')
  }

  aumentarFonte () {
    const size = parseInt($('p').css('font-size'))
    $('.page').css('font-size', size + 1)
    $('p').css('font-size', size + 1, 'important')
    $('p').addClass('change_font')
    $('.page').addClass('change_font')
    $('li').css('font-size', size + 1)
    $('li').addClass('change_font')
    $('span').css('font-size', size + 1)
    $('span').addClass('change_font')
  }

  render () {
    return (
      <StyledDiv className='menu_fonte'>
        <Divider />
        <div className='fonte-box'>
          <IconButton onClick={this.diminuirFonte}>
            <Minus />
          </IconButton>
          <IconButton onClick={this.normalizarFonte}>
            <Default />
          </IconButton>
          <IconButton onClick={this.aumentarFonte}>
            <Plus />
          </IconButton>
        </div>
      </StyledDiv>
    )
  }
}
export default TamanhoFonte
