import React from 'react'
import styled from 'styled-components'
import $ from 'jquery'

// Imports
import modal_fade from './shared/css/modal_fade.scss'

import config from '../local/js/config'

// Assets

// Styling
const ModalDiv = styled.div`

    min-height: 200px;
    position:fixed;
    top: 25% !important;
    left: 50%;
    width:100%;
    height:auto;
    z-index: 4;
    display: none;    


    @media only all and (min-width: ${config.MobileBreakpoint}px ) {
        left: 50%;
        width: 100vh !important;
        height:auto;
        z-index: 4;
        display: none;
    }

    .content-modal {
        height: auto;
        max-height: 300px;
        background-color: white;
        text-align: justify;
        overflow-y: auto;
    
        padding: 20px;
        padding-left: 30px;
        padding-right: 30px;

        border-bottom-right-radius: 0px;
        border-bottom-left-radius: 0px;
        p{
            font-size: ${props => props.sizeP + 'px'};
        }
    }

    .header{
        border-top-left-radius: 0px;
        border-top-right-radius: 0px;
        text-align: center;
        background-color: white;
        font-weight: bold;
        position: relative;
        
        p {
            font-size: ${props => props.sizeP + 'px'};
            text-align: left;
            color:#333;
            margin: 0 10px;
            border-bottom:1px solid #ccc;
            padding-top: 4px;
            padding: 10px; 
        }
        .btn-close {
            width: auto;
            height: auto;
            
            display: inline-block;
            
            color: #B8B8B8;
            font-weight: bold;
            
            line-height: 18px;
            cursor: pointer;
            position: absolute;
            top: 17%;
            right: 2.5%; 
            @media only all and (min-width: ${config.MobileBreakpoint}px ) {
                top: 30%;
            }
           
            p {
                text-align: center;
                color: #B8B8B8;
                margin: 0;
                border: none;
                padding: 0; 
            }
        }
    }
       
`

// Component
class Modal extends React.Component {
  // Construtor
  constructor (props) {
    super(props)
    this.state = {
      ModalTitle: this.props.ModalTitle,
      ModalContent: this.props.ModalContent,
      Id: this.props.Id
    }
  }

  // Components Scripts

  // Called when rendered - Can be used to register events
  componentDidMount () {
    $('.modal').css('left', $('.Ebook').offset().left)

    $(window).resize(() => {
      $('.modal').css('left', $('.Ebook').offset().left)
    })

    $('[data-modal-selector="#modal' + this.state.Id + '"]').click(() => {
      this.get_modal_fade()

      var modal = $('#modal' + this.state.Id).clone().addClass('activeModal').appendTo('body')

      modal.css({ height: 'auto' })
      modal.fadeIn('fast')
      modal.find('.btn-close').removeClass('mc')
      $(document).ready(() => {
        $('.ref').click((e) => {
          var ref = $(e.target).text()
          console.log(ref)
          $(document).trigger('openRef', [ref, true])
        })
      })
    })

    $(document).click(function (event) {
      if (!$(event.target).hasClass('mc') && $('.activeModal').length) {
        if (!$(event.target).hasClass('mc')) {
          var pg = $('.content')
          var modal = $('.activeModal')
          if (modal.length) {
            modal.fadeOut('fast').remove()
            pg.animate({ opacity: '1' })
            $('.modal-fade-front').remove()
            $('.modal-fade').remove()
          }
        }
      }
    })
  }

  get_modal_fade () {
    var modal_fade = $('<div class="modal-fade" id="md1"></div>').prependTo('.content')
    $('#md1').css('height', $(window).outerHeight())
    $('#md1').css('width', $(window).outerWidth())
    $('#md1').css('position', 'fixed')

    var modal_fadeFront = $('<div class="modal-fade-front" id="md2"></div>').appendTo('.content')
    $('#md2').css('height', $(window).outerHeight())
    $('#md2').css('width', $(window).outerWidth())
    $('#md2').css('position', 'fixed')

    modal_fade.fadeIn('fast')
    modal_fadeFront.fadeIn('fast')

    $(window).resize(() => {
      $('#md1').css('height', $(window).outerHeight())
      $('#md1').css('width', $(window).outerWidth())
      $('#md2').css('height', $(window).outerHeight())
      $('#md2').css('width', $(window).outerWidth())
    })
  }

  // Render
  render () {
    return (
    // Botao
      <ModalDiv className={'modal align-self-center mc ' + this.props.className} id={'modal' + this.state.Id} sizeP={this.props.sizeP}>
        <div className='header mc'>
          <p className='mc'>{this.state.ModalTitle}</p>
          <div className='btn-close'><p>x</p></div>
        </div>

        <div className='content-modal mc'>
          <p className='mc'>{this.state.ModalContent}</p>
        </div>

      </ModalDiv>
    )
  }
}

export default Modal
