import React from 'react'
import styled from 'styled-components'
import $ from 'jquery'

// Imports
import Modal from './Modal'

// Assets
import objetivo from '../local/media/images/objetivo.png'
import saibamais from '../local/media/images/saibamais.png'
import reflita from '../local/media/images/reflita.png'
import agoravoce from '../local/media/images/agoravoce.png'
import observacao from '../local/media/images/observacao.png'
import importante from '../local/media/images/importante.png'
import voceconhece from '../local/media/images/voceconhece.png'
import complementar from '../local/media/images/complementar.png'

//
import config from '../local/js/config'

// Styling
const BtnModalGrid = styled.div`
    .botao{
        display: flex;
        color: #fff;
        background-color: ${config.PrimaryColor};
        padding: 1vh 2vh 1vh 2vh;
        cursor: pointer;
        position: relative;
        border-radius: 1vh;
        min-width: 18vh;
        margin: 0px;
        text-align: left;
        float: right;
        align-items: center;
        justify-content: space-between;
        span.type{
            width: 4.5vh;
            height: 4.5vh;
            display: inline-block;
            vertical-align: middle;
            background-repeat: no-repeat;
            background-size: contain;
            background-position: center;
            list-style: none;
            margin-right: 1vh
        }
        span.objetivo {
            background-image: url(${objetivo});
        }
        span.saibamais {
            background-image: url(${saibamais});
        }
        span.reflita {
            background-image: url(${reflita});
        }
        span.agoravoce {
            background-image: url(${agoravoce});
        }
        span.observacao {
        
            background-image: url(${observacao});
        }
        span.importante {
        
            background-image: url(${importante});
        }
        span.voceconhece {
        
            background-image: url(${voceconhece});
        }
        span.complementar {
            background-image: url(${complementar});
        }
        span:before {
            font-size: 1.8em;
        }
        span.text {
            display: inline-block;
            vertical-align: middle;
            font-size: calc(1.3vh + 1vw);
            @media only all and (min-width: ${config.MobileBreakpoint}px ) {
                font-size: calc(1.7vh);
            }
            
            word-spacing: normal;

        }
        &:hover{
            background-color: ${config.HoverColor}; 
	        text-decoration: none;
        }
    }
`

// Component
class ModalBtn extends React.Component {
  constructor (props) {
    super(props)
    this.state = {
      BtnType: this.props.BtnType,
      BtnText: this.props.BtnText,
      ModalTitle: this.props.ModalTitle,
      ModalContent: this.props.ModalContent,
      Id: this.props.Id
    }
  }

  render () {
    return (
    // Botao
      <div class='caixa'>
        <BtnModalGrid className='grid-row direita mc'>
          <div className='modal-btn mc' data-modal-selector={'#modal' + this.state.Id}>
            <div className='botao mc shadow-sm'>
              <span className={'type mc ' + this.state.BtnType} />
              <span className='text mc'>{this.state.BtnText}</span>
            </div>
          </div>
        </BtnModalGrid>

        <Modal ModalTitle={this.state.ModalTitle} ModalContent={this.state.ModalContent} Id={this.state.Id} sizeP={((2.3 / 100) * ((95 / 100) * $(window).height()))} />
      </div>
    )
  }
}
export default ModalBtn
