import React from 'react'
import { makeStyles } from '@material-ui/core/styles'
import LinearProgress from '@material-ui/core/LinearProgress'
import $ from 'jquery'
import styled from 'styled-components'
import config from '../local/js/config'

const useStyles = makeStyles({
  root: {
    flexGrow: 1,
    height: '4%'
  }
})

const StyledDiv = styled.div`
  .MuiLinearProgress-barColorPrimary {
    background-color: ${config.EbookColor};
  }
  .MuiLinearProgress-colorPrimary {
    background-color: ${config.SecondaryBarColor};
  }
  .MuiLinearProgress-root{
    height: 0.5vh;
  }
`
const PagePercent = styled.div`
  float: right;
  color: grey;
  font-size: ${props => props.fontPercent + 'px'};
  @media (max-width: ${(config.MobileBreakpoint - 1) + 'px'}) {
    font-size: calc(1vw + 1vh) !important;
  }
`

export default function LinearDeterminate (props) {
  const classes = useStyles(props)
  const [completed, setCompleted] = React.useState(0)
  let curPage = props.curPage
  const maxPage = props.maxPage
  $(document).on('updateMaxPage', (e, page) => {
    curPage = page
  })

  React.useEffect(() => {
    function progress () {
      setCompleted(oldCompleted => {
        if (oldCompleted === 100) {
          return 0
        }
        const diff = Math.random() * 10
        return Math.min(oldCompleted + diff, 100)
      })
    }

    // const timer = setInterval(progress, 500)
    // return () => {
    //   clearInterval(timer)
    // }
  }, [])

  sessionStorage.setItem("percAtual", Math.floor((curPage * 100) / maxPage))

  return (
    <StyledDiv className={classes.root + ' noselect'}>
      <LinearProgress variant='determinate' value={(curPage * 100) / maxPage} />
      <PagePercent className='percentage' fontPercent={((0.8 / 100) * ((95 / 100) * $(window).height())) + ((0.8 / 100) * $(window).height())}>{Math.floor((curPage * 100) / maxPage) + '%'}</PagePercent>
      <br />
    </StyledDiv>
  )
}
