import React from 'react'

import IconButton from '@material-ui/core/IconButton'
import ReadIcon from '@material-ui/icons/RecordVoiceOver'
import StopIcon from '@material-ui/icons/Stop'

import Artyom from 'artyom.js'
import styled from 'styled-components'
import config from '../local/js/config'

import $ from 'jquery'

const StyledDiv = styled.div`
  margin-left: 0%;
  
  .menuButton{
    margin-left: 1vh;
  }
  .MuiIconButton-root{
    cursor: pointer;
    background-color: ${config.EbookColor};
    padding: 1.2vh;
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      background-color: ${config.ButtonColor};
      padding: 0.9vh;
    } 
  }
  .MuiIconButton-root:hover {
    background-color: ${config.ButtonColor};
  }
  .MuiSvgIcon-root{
    color: white;
    font-size: calc(1.6vh + 2vw);
    @media (min-width: ${config.MobileBreakpoint + 'px'}) {
      font-size: calc(1.6vh + 1vw);
    }
  }

  .stop_icon{
    display: none;
  }
  
`

// Page
class ReadBook extends React.Component {
  constructor (props) {
    super(props)
    const artyom = new Artyom()

    this.state = {
      artyom: artyom,
      reading: false,
      knot: []
    }

    this.state.artyom.fatality() // use this to stop any of

    setTimeout(() => {
      this.state.artyom
        .initialize({
          lang: 'pt-BR', // A lot of languages are supported. Read the docs !
          continuous: true, // recognize 1 command and stop listening !
          // listen: true, // Start recognizing
          debug: false, // Show everything in the console
          speed: 1 // talk normally
        })
        .then(function () {
          console.log('ready...')
        })
    }, 1)

    $(document).on('updatePage', () => {
      $(document).ready(() => {
        this.restart()
      })
    })
  }

  componentDidMount () {
    $(document).ready(() => {
      $('.read_icon').click(() => {
        this.readDOM()
        this.setState({ reading: true })
        $(document).trigger('log', [{ type: 'read_book' }])
      })

      $('.stop_icon').click(() => {
        this.restart()
        this.setState({ reading: false })
      })
      this.restart()
    })
  }

  restart () {
    this.stopRead()
    this.lenghtPage()
  }

  lenghtPage () {
    $(document).ready(() => {
      const read = []
      $('.content')
        .children()
        .each((index, element) => {
          if ($(element).text()) {
            const itemRead = {
              text: $(element).text(),
              read: false
            }
            read.push(itemRead)
            this.setState({ knot: read })
          }
        })
      var x = $('.content')
        .children()
      var lenght = x.length
      // localStorage.setItem('itens', lenght)
      // localStorage.setItem('itensTotal', lenght)
    })
  }

  readTheSentece (element, index) {
    if (!element.read) {
      this.state.artyom.say(element.text, {
        onEnd: () => {
          const aux2 = this.state.knot
          element.read = true
          aux2[index] = element
          this.setState({ knot: aux2 })
          var aux = localStorage.getItem('itens')
          var y = localStorage.getItem('itensTotal')
          var x = aux - 1
          // localStorage.setItem('itens', x)
          if (x === 0) {
            this.stopRead()
            // localStorage.setItem('itens', y)
            this.state.knot.forEach(element => {
              element.read = false
            })
          }
        }
      })
    }
  }

  stopRead () {
    this.state.artyom.shutUp()
    $('.stop_icon').hide()
    $('.read_icon').show()
    this.setState({ reading: false })
  }

  readDOM () {
    $('.read_icon').hide()
    $('.stop_icon').show()
    this.state.knot.forEach((element, index) => {
      if (!element.read) {
        this.readTheSentece(element, index)
      }
    })
  }

  render () {
    return (
      <StyledDiv>
        <IconButton edge='start' className='menuButton readbook read_icon' color='inherit' aria-label='menu'>
          <ReadIcon />
        </IconButton>
        <IconButton edge='start' className='menuButton readbook stop_icon' color='inherit' aria-label='menu'>
          <StopIcon />
        </IconButton>
      </StyledDiv>

    )
  }
}
export default ReadBook
