import React from 'react'
import { makeStyles } from '@material-ui/core/styles'
import Tooltip from '@material-ui/core/Tooltip'
import config from '../local/js/config'

const useStyles = makeStyles({
  root: {

  },
  tooltip: {
    color: 'black',
    backgroundColor: 'lightgray',
    fontSize: 'calc(1.4vh + 0.5vw)',
    borderRadius: '0.6vh',
    padding: '1vh'
  },
  content: {
    color: config.EbookColor
  }
})

export default function PositionedTooltips (props) {
  const classes = useStyles(props)

  return (

    <Tooltip disableFocusListener enterTouchDelay='50' title={props.Title} classes={{ tooltip: classes.tooltip }} placement={props.Side || 'top'}>
      <p className={classes.content} style={{ display: 'inline' }}>{props.Content}</p>
    </Tooltip>

  )
}
