import $ from 'jquery'

const crypto = require('crypto')

export default class Comentario {
  static async criarComentario (id, pos, array, page) {
    const response = await this.abrirMenuComentario(pos, array, page)
    if (response) {
      const time = Date.now()
      const comment_text = response + time
      const hashid = crypto.createHash('sha1').update(comment_text).digest('hex')

      const cmt = {
        hashid: hashid,
        highlight: id,
        comment: response
      }
      return cmt
    } else {
      return false
    }
  }

  static async abrirMenuComentario (pos, array, page) {
    $('.addComentario').remove()
    const response = await this.desenhaCaixaComentario(pos, array, page)
    return response
  }

  static desenhaCaixaComentario (pos, array, page) {
    return new Promise(resolve => {
      const CommentsPage = this.findByPage(array.Comments, page)
      var _menu = '<div class="addComentario"><div class="comment-head">Comentário '

      if (CommentsPage.length + 1 < 10) {
        _menu = _menu + '0' + (CommentsPage.length + 1) + ' <div class="comment-close">x</div></div><div class="comment-body"><textarea class="comment-text" placeholder="Insira aqui seu comentário."></textarea></div><div class="comment-publish">PUBLICAR</div></div>'
      } else {
        _menu = _menu + (CommentsPage.length + 1) + ' <div class="comment-close">x</div></div><div class="comment-body"><textarea class="comment-text" placeholder="Insira aqui seu comentário."></textarea></div><div class="comment-publish">PUBLICAR</div></div>'
      }

      $(_menu).appendTo('body')

      $('.addComentario').css('top', pos)
      $('.addComentario').css('right', '1%')

      $('.addComentario').fadeIn('fast')

      $(document).on('mousedown touchstart', function (event) {
        if (window.getSelection() == '') {
          if (!($(event.target).hasClass('addComentario') || $(event.target).hasClass('comment-head') || $(event.target).hasClass('comment-body') || $(event.target).hasClass('comment-publish') || $(event.target).hasClass('comment-text') || $(event.target).hasClass('comentarios'))) {
            $('.addComentario').fadeOut('fast')
            $(document).off('mousedown touchstart')

            resolve(false)
          }
        }
      })

      $('.comment-publish').click(function () {
        var comment = $('.comment-text').val()
        $('.addComentario').fadeOut('fast')
        $(document).off('mousedown touchend')
        if (comment != '') {
          resolve(comment)
        } else {
          resolve(false)
        }
      })
    })
  }

  static abrirMenuComentarios (cmt, hgt, array, page) {
    return new Promise(resolve => {
      if (!$('.comments_btn').hasClass('active_btn')) {
        $('.comments_btn').addClass('active_btn')

        const list = this.findByPage(array, page)
        const cmtNum = list.findIndex(x => x.hashid == cmt.hashid) + 1

        var comment = '<div class="cmt mc" data-modal-selector="#cmt_text' + cmt.hashid + '" id="cmt' + cmt.hashid + '">'

        if ((parseInt(cmtNum)) < 10) {
          comment = comment + '0' + ((cmtNum)) + '</div>'
        } else {
          comment = comment + ((cmtNum)) + '</div>'
        }

        $(comment).appendTo('.content')

        var largest = this.getLargestHgt(hgt)
        var window_width = $(window).width()

        if (largest.offset + largest.width + $('#cmt' + cmt.hashid).width() >= $('.content').width()) {
          $('#cmt' + cmt.hashid).offset({ top: $('div[hgt=' + hgt + ']').offset().top - 25, left: largest.offset + largest.width - 30 })
        } else {
          $('#cmt' + cmt.hashid).offset({ top: $('div[hgt=' + hgt + ']').offset().top, left: largest.offset + largest.width + 5 })
        }

        var div_cmt = '<div class="div_cmt modal_content" id="div_cmt' + cmt.hashid + '"><div class="comment-head modal_content">Comentário '

        if ((parseInt(cmtNum) + 1) < 10) {
          div_cmt = div_cmt + '0' + (cmtNum) + ' <div class="comment-close ">x</div><div class="comment-exclude icon-bin modal_content"></div><div class="comment-edit icon-pencil2 modal_content"></div></div><div class="comment-body modal_content"><div class="comment-text modal_content">' + cmt.comment + '</div></div><div class="comment-publish-edit modal_content">PUBLICAR</div></div>'
        } else {
          div_cmt = div_cmt + (parseInt(cmtNum)) + ' <div class="comment-close ">x</div><div class="comment-exclude icon-bin modal_content"></div><div class="comment-edit icon-pencil2 modal_content"></div></div><div class="comment-body modal_content"><div class="comment-text modal_content">' + cmt.comment + '</div></div><div class="comment-publish-edit modal_content">PUBLICAR</div></div>'
        }

        $(div_cmt).appendTo('body')

        $('.cmt').click(function () {
          var window_width = $(window).width()

          $('#div_cmt' + (cmt.hashid)).fadeIn('fast')
          $('#div_cmt' + (cmt.hashid)).css('display', 'flex')
        })

        $('.comment-exclude').click(
          () => {
            $('div[hgt=' + hgt + ']').each(function () {
              $(this).removeAttr('hgt')
              $(this).removeClass('highlight')
              $(this).removeClass('highlight_cmt')
              $(this).off('click')
              $(this).addClass('normalDiv')
            })

            const response = {
              type: 2,
              id: cmt.hashid
            }
            this.closeMenu_Comentarios()
            resolve(response)
          }
        )

        $(window).on('comment-exclude', () => {
          $('div[hgt=' + hgt + ']').each(function () {
            $(this).removeAttr('hgt')
            $(this).removeClass('highlight')
            $(this).removeClass('highlight_cmt')
            $(this).off('click')
            $(this).addClass('normalDiv')
          })

          const response = {
            type: 2,
            id: cmt.hashid
          }
          this.closeMenu_Comentarios()
          $(window).off('comment-exclude')
          resolve(response)
        }
        )

        $('.comment-edit').click(() => {
          $('.comment-publish-edit').show()

          $('.div_cmt').addClass('on_edit')
          this.editComment().then(response => {
            const edit = {
              type: 1,
              id: cmt.hashid,
              content: response
            }
            this.closeMenu_Comentarios()
            resolve(edit)
          })
        })

        $(window).on('comment-edit', () => {
          $('.comment-publish-edit').show()
          this.editComment_Modal().then(response => {
            const edit = {
              type: 1,
              id: cmt.hashid,
              content: response
            }
            this.closeMenu_Comentarios()
            $(window).off('comment-edit')
            resolve(edit)
          })
        })

        $('.comment-close').click(() => {
          const response = {
            type: 0
          }
          this.closeMenu_Comentarios()

          resolve(response)
        })

        $(window).on('comment-close', () => {
          const response = {
            type: 0
          }
          this.closeMenu_Comentarios()
          $(window).off('comment-close')
          resolve(response)
        })

        $('html').on('mousedown', e => {
          if ($('.div_cmt').length >= 1 && !$(e.target).hasClass('modal_content') && !$(e.target).hasClass('cmt')) {
            const response = {
              type: 0
            }
            this.closeMenu_Comentarios()

            resolve(response)
          }
        })
      } else {
        const response = {
          type: 0
        }
        this.closeMenu_Comentarios()
        resolve(response)
      }
    })
  }

  static getLargestHgt (hgt) {
    var largest = {
      width: 0,
      offset: 0
    }
    var width = 0
    var offset
    $('div[hgt=' + hgt + ']').each(function () {
      if (width < $(this).width()) {
        width = $(this).width()
        offset = $(this).offset().left
      }
    })
    largest.width = width
    largest.offset = offset

    return largest
  }

  static closeMenu_Comentarios () {
    $('.cmt').each(function () {
      $(this).remove()
    })

    $('.div_cmt').each(function () {
      $(this).remove()
    })

    $('.comments_btn').removeClass('active_btn')
  }

  static editComment () {
    return new Promise(resolve => {
      var divHtml = $('.comment-text.modal_content').html()
      var editableText = $("<textarea class='comment-text-edit modal_content' />")

      editableText.val(divHtml)
      $('.comment-text.modal_content').replaceWith(editableText)
      editableText.focus()

      $('.comment-publish-edit').off('click')

      $('.comment-publish-edit').click(() => {
        var html = $('.comment-text-edit').val()

        var viewableText = $("<div class='comment-text modal_content'>")

        viewableText.html(html)
        $('.comment-text-edit').replaceWith(viewableText)

        $('.comment-publish-edit').hide()
        $('.div_cmt').removeClass('on_edit')
        // console.log(html)
        resolve(html)
      })
    })
  }

  static editComment_Modal () {
    return new Promise(resolve => {
      var divHtml = $('.content').html()
      console.log('First: ' + divHtml)
      var editableText = $("<textarea class='comment-text-edit content mc' />")

      editableText.val(divHtml)
      $('.content').replaceWith(editableText)
      editableText.focus()

      $('.comment-publish-edit').off('click')

      $('.comment-publish-edit').click(function () {
        var html = $('.comment-text-edit').val()

        var viewableText = $("<div class='content mc'>")
        viewableText.html(html)
        $('.comment-text-edit').replaceWith(viewableText)

        $('.comment-publish-edit').hide()
        console.log('New: ' + html)
        resolve(html)
      })
    })
  }

  static findByPage (Arr, Page) {
    const result = []
    for (const i of Arr) {
      if (i.page === Page) result.push(i)
    }
    return result
  }
}
