import html2pdf from 'html2pdf.js'
import $ from 'jquery'
import config from '../../local/js/config'
import env from '../../ebook-unasus'

export default class PDFConverter {
  static createPDF (data) {
    var html = $(PDFConverter.mountPDF(data))
    $('.content').after(html)

    html2pdf($('#ComentariosFrame')[0],
      { filename: 'anotações.pdf',
        margin: 5,
        image: { type: 'jpeg', quality: 0.98 } })
    $('#ComentariosFrame').remove()
  }

  static mountPDF (data) {
    var text = `<div id="ComentariosFrame"><h1>${config.ModuleName}</h1>`
    text += "<p style='font-size: 30px;'>Comentários</p><hr>"

    for (const page in env.PageHashes) {
      const cmts = this.findByPage(data, env.PageHashes[page])
      if (cmts.length <= 0) continue
      text += `<h3 style="font-size: 1.17em; margin: .83em 0 ">Página ${parseInt(page) + 1}</h3>`
      for (const cmt of cmts) {
        text += `<div class="downloadpdfdiv" style="border-left: 2px solid lightgray">`
        text += `<p style="font-size: 1em;">${cmt.comment}</p><br>`
        text += `</div><br>`
      }
    }
    text += `</div>`
    return text
  }

  static findByPage (Arr, Page) {
    const result = []
    for (const i of Arr) {
      if (i.page === Page) result.push(i)
    }
    return result
  }
}
