import React from 'react'
import styled from 'styled-components'

//Imports
import Ref from '../components/Ref'
import ListaAnimada from '../components/ListaAnimada';
import CaixaAbasHorizontal from '../components/CaixaAbasHorizontal';
//Assets

//Styling
const StyledDiv = styled.div`

`

//Page
class Page extends React.Component {

    render() {
        return (
            //Page content
            <StyledDiv className='content'>
                <h2>Atendimento à pessoa com deficiência na Atenção Primária à Saúde</h2>

                <div className='page'>
                    <p><strong>Atenção Especializada em Reabilitação Física, Intelectual, Auditiva, Visual, Ostomia e em Múltiplas Deficiências</strong></p>

                    <p>De acordo com o Instrutivo de Reabilitação Auditiva, Física, Intelectual e Visual<Ref key={"rf" + Date.now()} Id="3" />, os serviços de reabilitação dessa rede cuidados, independente da modalidade de reabilitação que ofereçam, devem garantir:</p>

                    <CaixaAbasHorizontal

                        AbasContent={[
                            [<ul>
                                <li><p>Diagnóstico e avaliação funcional da deficiência;</p></li>
                                <li><p>Estimulação precoce permitindo às crianças receber o máximo de estímulos, favorecendo seu melhor potencial de desenvolvimento;</p></li>
                                <li><p>Orientações aos cuidadores, acompanhantes e familiares como agentes colaboradores no processo de inclusão social e continuidade do cuidado;</p></li>
                            </ul>],
                            [<ul>
                                <li><p>Orientações e apoio às famílias para aspectos específicos de adaptação do ambiente e rotina doméstica que possam ampliar a mobilidade, autonomia pessoal e familiar, bem como a inclusão escolar, social e/ou profissional;</p></li>
                                <li><p>Atendimento em reabilitação/habilitação, seleção, prescrição, concessão, adaptação e manutenção de órteses, próteses e meios auxiliares de locomoção, conforme suas necessidades;</p></li>
                                <li><p>Atendimento individual e em grupo de acordo com as necessidades de cada usuário e suas dificuldades específicas;</p></li>
                            </ul>],
                            [<ul>
                                <li><p>Reavaliação periódica do projeto terapêutico, demonstrando com clareza a evolução e as propostas terapêuticas de pequeno, médio e longo prazo;</p></li>
                                <li><p>Realização de reuniões periódicas de equipe para acompanhamento e revisão sistemática dos projetos terapêuticos;</p></li>
                                <li><p>Promoção de articulação com os outros pontos de atenção da Rede de Cuidados à Pessoa com Deficiência (Atenção Primária à Saúde, hospitalar e de urgência e emergência), visando garantir a integralidade do cuidado;</p></li>
                            </ul>],
                            [<ul>
                                <li><p>Participação e/ou promoção, de parceiras com instituições de ensino e pesquisa, estudos e pesquisas na área da deficiência, em especial de uso de métodos terapêuticos e produção de evidências clínicas no campo da deficiência, bem como em inovação e uso de tecnologia assistiva;</p></li>
                                <li><p>Busca de articulação com serviços de proteção social, educação, esporte, cultura, entre outros, com objetivo de ampliar o alcance do cuidado, a inclusão e a melhoria da qualidade de vida da pessoa com deficiência.</p></li>
                            </ul>]
                        ]}


                    />

                </div>

            </StyledDiv>
        )
    }
}
export default Page