import React from 'react'
import styled from 'styled-components'

//Imports
import Ref from '../components/Ref'
import CaixaSombreada from '../components/CaixaSombreada';
import ModalBtn from '../components/ModalBtn';
import CaixaIcone from '../components/CaixaIcone'

//Assets
import img1 from "../core/css/images/personagem2.png"

//Styling
const StyledDiv = styled.div`
    .tamanho3 {
        width: 20.9%;
    }
    .tamanho7 {
        width: 78.9%;
    }
    .caixa-icones .texto {
        top: -14%;
    }
`

//Page
class Page extends React.Component {

    render() {
        return (
            //Page content
            <StyledDiv className='content'>
                <h2>Apresentação</h2>

                <div className='page'>
                    <div className="grid-row">
                        <div className="tamanho7 cima">
                            <p>Olá, aluno(a)!</p>
                            <p>É comum que no atendimento às pessoas com deficiência, haja a tendência de realizar encaminhamento imediato a serviços especializados, muito embora algumas das demandas dessa população possam ser resolvidas logo na Atenção Primária à Saúde.</p>
                            <p>A atenção primária é um campo importante para o desenvolvimento de práticas de atenção à saúde da pessoa com deficiência, principalmente no que diz respeito à circulação e participação sociais, sob a perspectiva de inclusão e cidadania. Porém, este é um tema ainda pouco desenvolvido nas unidades básicas de saúde.</p>
                            <p>Assim, neste recurso, você reconhecerá a importância do cuidado integral à saúde da pessoa com deficiência dentro da Rede de Cuidados à Pessoa com Deficiência e em especial na Atenção Primária à Saúde.</p>
                            <p>Bons estudos!</p>
                        </div>

                        <div className="tamanho3 baixo">
                            <div><img src={img1} /></div>
                        </div>
                    </div>

                   
                    {/* 
                    <CaixaIcone
                        type="objetivo"
                        title="OBJETIVO"
                        Content="Neste e-book, nosso objetivo é que você reconheça a importância do cuidado integral à saúde da pessoa com deficiência dentro Rede de cuidados à pessoa com deficiência e em especial na Atenção Primária à Saúde." /> */}


                </div>

            </StyledDiv>
        )
    }
}
export default Page