import React from 'react'
import styled from 'styled-components'

//Imports
import Ref from '../components/Ref'
import personagem from '../core/css/images/personagem.png'
import CaixaDialogo from '../components/CaixaDialogo';
import CaixaSombreada from '../components/CaixaSombreada';
import CaixaContorno from '../components/CaixaContorno';
import CaixaDialogoSlider from '../components/CaixaDialogoSlider';
import pdf from './media/pdf/pag5_pdf1.pdf'

//Assets

//Styling
const StyledDiv = styled.div`
.caixa-dialogo-slider{
    margin-top: -4vh;
}
 
.caixa-dialogo-slider-img {
    width: 23% !important;
    right: 4%;
}
.caixa-dialogo-slider-txt {
    width: 66.6%;
    display: none;
    // margin-left: 40px;
    // margin-top: 10px;
}
.seta-prev {
    z-index: 1;
} 
@media screen and (max-width: 550px){
    .caixa-dialogo-slider-txt {
        width: 72.6% !important;
        max-height: none;
    }
    .seta-prev {
        z-index: 3;
    }
    .caixa-dialogo-slider{
        max-height: none;
    }
}
@media screen and (max-width: 900px){
    .caixa-dialogo-slider{
        margin-top: -1vh;
    }
}
`

//Page
class Page extends React.Component {

    render() {
        return (
            //Page content
            <StyledDiv className='content'>
                <h2>Atendimento à pessoa com deficiência na Atenção Primária à Saúde</h2>

                <div className='page'>
                    <p>A Atenção Primária à Saúde (APS), como ordenadora das redes de atenção à saúde, é caracterizada por um conjunto de ações no âmbito individual e coletivo, capilarizado e descentralizado, <strong>atuando de forma mais próxima à vida das pessoas.</strong>.</p>

                    <CaixaDialogoSlider DialogContent={["Desse modo, no âmbito da rede de cuidados à pessoa com deficiência os pontos de atenção que compõem a Atenção Primária à Saúde ocupam uma posição estratégica para a ampliação e atenção às pessoas com deficiência, se responsabilizando pelo cuidado às pessoas com deficiência que residem em seu território adscrito, acolhendo essas pessoas, realizando cuidados domiciliares, identificando as necessidades de saúde que muitas vezes vão além da deficiência apresentada.",
                        ["Os pontos de atenção da APS também desenvolvem ações de prevenção, promoção, vigilância e cuidado como a identificação precoce das deficiências, o acompanhamento dos recém-nascidos que apresentem alto risco para desenvolvimento de deficiências, o suporte, às famílias, no acompanhamento e cuidado à saúde das pessoas com deficiência."]]} />

                    <p>Fazem parte desse conjunto as ações de prevenção de acidentes e quedas e as ações intersetoriais, como o Programa Saúde na Escola, no qual dão apoio e orientação aos educadores, familiares e à comunidade escolar, com o intuito de adequar o ambiente escolar às especificidades das pessoas com deficiência. </p>

                    {/* <CaixaContorno Content={["Cabe, aqui, destacar a importância do NASF-AB como uma importante ferramenta para ampliar as estratégias de cuidado às pessoas com deficiência, no nível da Atenção Primária à Saúde. Clique ", <a href="http://repocursos.saiteava.org/qualificacao_dos_processos_de_trabalho_na_ABS/EDUCSAITE/TRILHA_4/DESMISTIFICANDO_A_DEFICIENCIA/EBOOK_2/src/pages/media/pdf/pag5_pdf1.pdf" target="_blank">aqui</a>, " para conhecer este serviço."]} /> */}
                    <CaixaContorno Content={["Cabe, aqui, destacar a importância do NASF-AB como uma importante ferramenta para ampliar as estratégias de cuidado às pessoas com deficiência, no nível da Atenção Primária à Saúde. Clique ", <a href={pdf} target="_blank">aqui</a>, " para conhecer este serviço."]} />

                </div>

            </StyledDiv>
        )
    }
}
export default Page