import React from 'react'
import styled from 'styled-components'

//Imports
import Ref from '../components/Ref'
import BtnAnimadoModal from '../components/BtnAnimadoModal';
import img1 from './media/images/pag6_img1.png'
import img2 from './media/images/pag6_img2.png'
import img3 from './media/images/pag6_img3.png'
import CaixaAbasVertical from '../components/CaixaAbasVertical';
//Assets

//Styling
const StyledDiv = styled.div`
   .tamanho1 {
        width: 17.9%;
    }
    .tamanho2 {
        width: 23.9% !important;
    }
    .tamanho3 {
        width: 27.9%;
    }
    @media screen and (max-width: 900px){
        .tamanho1 {
            width: 25.9% !important;
        }
        .tamanho2 {
            width: 43.9% !important;
        }
        .tamanho3 {
            width: 39.9% !important;
        }
    }
`

//Page
class Page extends React.Component {
   
    render() {
        return (
            //Page content
            <StyledDiv className='content'>
                <h2>Atendimento à pessoa com deficiência na Atenção Primária à Saúde</h2>

                <div className='page'>
                    <p><strong>Atenção Especializada em Reabilitação Física, Intelectual, Auditiva, Visual, Ostomia e em Múltiplas Deficiências</strong></p>

                    <p>O componente da Atenção Especializada em Reabilitação Física, Intelectual, Auditiva, Visual, Ostomia e em Múltiplas Deficiências, tem como pontos de atenção<Ref key={"rf" + Date.now()} Id="1" /><sup>, </sup><Ref key={"rf" + Date.now()} Id="2" />:</p>

                    <ul>
                        <li><p>Centros Especializados em Reabilitação (CER);</p></li>
                        <li><p>Centros de Especialidades Odontológicas (CEO’s);</p></li>
                        <li><p>Estabelecimentos em apenas um Serviço de Reabilitação.</p></li>
                    </ul>

                    <p>A Rede conta com uma série de incentivos financeiros que visam a sua implantação e implementação nos territórios:</p>

                    <CaixaAbasVertical AbasContent={[
                            [<p>Estes incentivos ocorrem através de obras para a construção de Centros Especializados em Reabilitação e da estruturação dos serviços a partir da aquisição de novos equipamentos, ajudando no custeio mensal para os componentes da atenção especializada (a princípio implementados pela Portaria MS/SAS 835, 25 de abril de 2012 e, atualmente, atrelados à Portaria de Consolidação GM/MS nº 6, de 28 de setembro de 2017).</p>],
                            [<p>A partir das portarias MS/SAS 835 e GM/MS nº 6, o Ministério da Saúde instituiu uma série de incentivos financeiros de investimento e custeio para o Componente Atenção Especializada da Rede de Cuidados à Pessoa com Deficiência. Entre esses recursos dispõe-se de investimentos para a construção de Centros Especializados em Reabilitação e Oficinas Ortopédicas (CER), como também recursos de custeio mensais para esses serviços. Conheça mais a respeito do CER clicando nas caixas abaixo.</p>]
                        ]}/>

                    <div className="grid-row centro caixa">
                        <div className="tamanho1">
                            <BtnAnimadoModal
                                dataText="O QUE É CER?"
                                content="O QUE É CER?"
                                ModalTitle="O QUE É CER?"
                                ModalContent="É um ponto de atenção ambulatorial especializado em reabilitação, no qual serão realizados diagnósticos, tratamento, adaptação e manutenção de tecnologia assistiva, constituindo-se em referência para a rede de atenção à saúde no território."
                                Id="1" />
                        </div>
                        <div className="tamanho2">
                            <BtnAnimadoModal
                                dataText="COMO ELE É ORGANIZADO?"
                                content="COMO ELE É ORGANIZADO?"
                                ModalTitle="COMO ELE É ORGANIZADO?"
                                ModalContent={[[<p>O CER será organizado de acordo com os serviços de reabilitação habilitados, ou seja, um CER tipo II será composto por dois (2) serviços de reabilitação habilitados; o CER III por três (3) serviços de reabilitação habilitados; e o CER IV por quatro (4) ou mais serviços de reabilitação habilitados <Ref key={"rf" + Date.now()} Id="1" /> <sup>,</sup> <Ref key={"rf" + Date.now()} Id="2" />.</p>],
                                    <div className="grid-row centro">
                                        <div className="tamanho4"><img src={img1}/></div>
                                    </div>
                                ]}
                                Id="2" />
                        </div>
                        <div className="tamanho3">
                            <BtnAnimadoModal
                                dataText="COMO ACESSAR O CER?"
                                content="COMO ACESSAR O CER?"
                                ModalTitle="COMO ACESSAR O CER?"
                                ModalContent={[<div className="grid-row centro">
                                <div className="tamanho6"><img src={img2}/></div>
                            </div>]}
                                Id="3" />
                        </div>
                        <div className="tamanho3">
                            <BtnAnimadoModal
                                dataText="DISTRIBUIÇÃO DOS CER PELO BRASIL"
                                content="DISTRIBUIÇÃO DOS CER PELO BRASIL"
                                ModalTitle="DISTRIBUIÇÃO DOS CER PELO BRASIL"
                                ModalContent={[<div className="grid-row centro">
                                <div className="tamanho8"><img src={img3}/></div>
                            </div>]}
                                Id="4" />
                        </div>
                    </div>


                </div>
            </StyledDiv>
        )
    }
}
export default Page