import React from 'react'
import styled from 'styled-components'

//Imports
import Ref from '../components/Ref'
import img1 from './media/images/pag10_img1.png'
import img2 from './media/images/pag10_img2.png'
import CaixaAbasHorizontal from '../components/CaixaAbasHorizontal';
import video from './media/video/Centros_Especializados_em_Reabilitacao_garantem_autonomia_e_acessibilidade_a_pessoa_com_deficiencia_720p.mp4'
//Assets

import $ from 'jquery'

import CaixaSliderImg from '../components/CaixaSliderImg';

//Styling
const StyledDiv = styled.div`
  
  .slide-circ{
    width: 2vh !important;
    height: 2vh !important;
    border: 0.3vh solid #2c84c6;
    border-radius: 50%;
    display: inline-block;
    background-color: white;
    cursor: pointer;
    margin: 0.5vh !important;
}
  .slider-imgs .slider-img-active {        
        width: 62% !important;        
    } 
    #sliderimg3{
       video{
           width:100%;
           height: 30vh;       
       } 
    }

`

//Page
// class Page extends React.Component {
//     componentDidMount () {
//         $('#sliderimg3').empty().html(`<iframe width="560" height="315" src="https://www.youtube.com/embed/Ny1Q7cCPc1c" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>`)
        
//     }
class Page extends React.Component {
    componentDidMount () {
        $('#sliderimg3').empty().html(`<video width="560" height="315" controls><source src="${video}"></video>`)
        
    }

    render() {
        return (
            //Page content
            <StyledDiv className='content'>
                <h2>Atendimento à pessoa com deficiência na Atenção Primária à Saúde</h2>

                <div className='page'>
                    <p><strong>Atenção Especializada em Reabilitação Física, Intelectual, Auditiva, Visual, Ostomia e em Múltiplas Deficiências</strong></p>

                    <p>As ações de reabilitação serão desenvolvidas por uma equipe multiprofissional que pode ser formada por médicos, fisioterapeutas, fonoaudiólogos, psicólogos, terapeutas ocupacionais e enfermeiros.</p>

                    <CaixaSliderImg Content={[
                        { src: img1, content: "A equipe multiprofissional trabalhará dentro de uma abordagem interdisciplinar e as ações estarão baseadas num projeto terapêutico construído de acordo com as necessidades apresentadas por cada usuário." },
                        { src: img1, content: ["Com vias a garantir a diversificação das estratégias de cuidado, estão previstas ações de caráter intersetorial, acionando os diversos serviços de saúde que façam parte da Rede de Atenção à Saúde no âmbito do SUS, bem como com a Rede do Sistema Único de Assistência Social (SUAS) da Região de Saúde a que pertença, para acompanhamento compartilhado de casos, quando necessário", <Ref key={"rf" + Date.now()} Id="1" />, <sup>, </sup>, <Ref key={"rf" + Date.now()} Id="2" />, "."] },
                        { src: img2, content: "Nesse vídeo, conheça um pouco mais sobre os Centros Especializados em Reabilitação como garantia de autonomia e de acessibilidade à pessoa com deficiência." }]} />

                    {/* <div className="grid-row centro">
                    <div className="tamanho7">
                        <img src={img1}/>
                        <p className="centro">Médicos, fisioterapeutas, fonoaudiólogos, psicólogos, terapeutas ocupacionais, enfermeiros</p>
                    </div>    
                </div> */}

                    {/* <CaixaAbasHorizontal
                   
                   AbasContent={[
                        "A equipe multiprofissional trabalhará dentro de uma abordagem interdisciplinar e as ações estarão baseadas num projeto terapêutico construído de acordo com as necessidades apresentadas por cada usuário.",
                        ["Com vias a garantir a diversificação das estratégias de cuidado, estão previstas ações de caráter intersetorial, acionando os diversos serviços de saúde que façam parte da Rede de Atenção à Saúde no âmbito do SUS, bem como com a Rede do Sistema Único de Assistência Social (SUAS) da Região de Saúde a que pertença, para acompanhamento compartilhado de casos, quando necessário",<Ref key={"rf"+Date.now()} Id="1"/>,<sup>, </sup>,<Ref key={"rf"+Date.now()} Id="2"/>,"."]
                    ]} */}


                </div>

            </StyledDiv>
        )
    }
}
export default Page