import React from 'react'
import styled from 'styled-components'

//Imports
import Ref from '../components/Ref'
import CaixaContorno from '../components/CaixaContorno';
import CaixaSombreada from '../components/CaixaSombreada';
//Assets

//Styling
const StyledDiv = styled.div`
  .caixa-sombreada-simples {
    width: 100%;
    background-color: #2d84c6;
    color: #ffffff;
    border-radius: 0px !important;
    box-shadow: none !important;
    margin-bottom: 0px !important;
    text-align: center !important;
}

.caixa-contorno{
    border: 0.3vh solid #2c84c6;
    border-radius: 0vh 0vh 1vh 1vh;
    padding-left: 2vh;
    padding-right: 2vh;
    padding-top: 1.5vh;
    padding-bottom: 1.5vh;
    width: 100%;
    margin-top: -1vh; 
}

`

//Page
class Page extends React.Component {

    render() {
        return (
            //Page content
            <StyledDiv className='content'>
                <h2>Atendimento à pessoa com deficiência na Atenção Primária à Saúde</h2>

                <div className='page'>
                    <p><strong>Atenção Especializada em Reabilitação Física, Intelectual, Auditiva, Visual, Ostomia e em Múltiplas Deficiências</strong></p>

                    <p>Os componentes da Atenção Hospitalar e de Urgência e Emergência terão como retaguarda os <strong>Leitos de Cuidado Prolongados da Rede de Urgência e Emergência</strong> (Portaria GM/MS 2809, de 07 dezembro de 2012). Os cuidados prolongados se organizarão através das <strong>Unidades de Internação em Cuidados Prolongados (UCP)</strong>, como serviços de Hospitais Gerais e ou Especializados; ou <strong>Hospital Especializado em Cuidados Prolongados (HCP)</strong>. E destinam-se a usuários em situação clínica estável, que necessitem de reabilitação e/ou adaptação a sequelas decorrentes de processo clínico, cirúrgico ou traumatológico<Ref key={"rf" + Date.now()} Id="1" /><sup>, </sup><Ref key={"rf" + Date.now()} Id="2" />.</p>

                    <CaixaSombreada Content="Qual é a função das Unidades de Internação em Cuidados Prolongados (UCP)?" />

                    <CaixaContorno Content="As UCPs têm como objetivo a recuperação clínica e funcional, a avaliação e a reabilitação integral e intensiva, da pessoa com perda transitória ou permanente de autonomia potencialmente recuperável de forma parcial ou total e que não necessite de cuidados hospitalares intensivos e em estágio agudo. Sendo que essa ação se dá por meio da inserção de equipes de referência em reabilitação, de caráter multiprofissional, nas portas hospitalares de Urgência e Emergência." />

                </div>
            </StyledDiv>
        )
    }
}
export default Page